#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    int p, q, r, L, R, i, N=0;
    float a, b, c;
    scanf("%d %d %d %d %d", &p, &q, &r, &L, &R);
    for(i=L;i<=R;i++)
    {
        a=i/p;
        b=i/q;
        c=i/r;
            if((ceil(a))+(ceil(b))+(ceil(c))<=i)
            {
                N=N+1;
            }
    }
    printf("%d", N);
    return 0;
}